#ifndef _ABSTRACT_SCENE_
#define _ABSTRACT_SCENE_


namespace HPL {
namespace General {

/** シーン処理のアブストラクトクラス
  *
  */
class AbstractScene {
public:
	virtual void init() = 0;
	virtual void quit() = 0;
	virtual void process() = 0;

};

}
}
#endif
